.calculator { 
    max-width: 650px; 
    background: #fff; 
    border-radius: 10px; 
}			
label { 
    display: block; 
    margin-top: 15px; 
    font-weight: bold; 
    color: #1c3ba5; 
}			
input, select { 
    width: 100%; 
    padding: 8px; 
    margin-top: 5px; 
    border-radius: 5px; 
    border: 1px solid #ccc; 
    font-size: 16px; 
    box-sizing: border-box; 
}
input, select, button {
    font-family: 'Poppins', Arial, sans-serif; 
}
input[type="text"]:hover, input[type="number"]:hover, select:hover {
    background-color: #eef4f9; 
    border-color: #1c3ba5; 
}
input[type="text"]:focus, input[type="number"]:focus, select:hover {
    background-color: #eef4f9; 
    border-color: #1c3ba5; 
    outline: none; 
}
input[type="text"], input[type="number"], select:hover {
    transition: background-color 0.3s, 
    border-color 0.3s; 
}
input[type="checkbox"] { 
    width: auto; 
    margin-right: 5px; 
}
.output { 
    background: #eef4f9; 
    padding: 10px; 
    margin-top: 20px; 
    border-radius: 5px; 
}
.error { 
    color: red; 
    font-weight: bold; 
    margin-top: 5px; 
}
button { 
    margin-top: 20px; 
    padding: 10px 20px; 
    font-size: 16px; 
    border-radius: 5px; 
    border: none; 
    background: #5e7adb; 
    color: #fff; 
    cursor: pointer; 
}
button:hover { 
    background: #1c3ba5; 
}
#R, #h, #F, #Fm, #K, #Ksource, #BA { 
    color: #1c3ba5; 
    font-weight: 600; 
}
/* ---------------------------------------- */
/* -- SLIDER SWITCH MM-INCHES STYLE ONLY -- */
/* ---------------------------------------- */
.unit-panel {
    display:flex;
    /*justify-content:center;*/
    align-items:center;
    gap:15px;
    margin-bottom:25px;
}

.unit-text {
    font-weight:600;
    color:#1c3ba5;
    font-size:17px;
}
.switch {
    position:relative;
    display:inline-block;
    width:50px;
    height:26px;
}
.switch input {
    opacity:0;
    width:0;
    height:0;
}
.slider {
    position:absolute;
    cursor:pointer;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background:#5e7adb;
    transition:.3s;
}
.slider:before {
    position:absolute;
    content:"";
    height:20px;
    width:20px;
    left:3px;
    bottom:3px;
    background:white;
    transition:.3s;
}
input:checked + .slider {
    background:#1c3ba5;
}
input:checked + .slider:before {
    transform:translateX(23px);
}
.slider.round {
    border-radius:13px;
}
.slider.round:before {
    border-radius:50%;
}